﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Controls;

namespace MiAPOPractice.AddWindow
{
    /// <summary>
    /// Логика взаимодействия для AddItemWindow.xaml
    /// </summary>
    public partial class AddItemWindow : Window
    {
        List<int> persons;

        public AddItemWindow()
        {
            InitializeComponent();

            FIOPerson.ItemsSource = Connection.db.Persons.Select(item => item.FIO).ToList();
        }
        public AddItemWindow(int id)
        {
            InitializeComponent();

            Items itemTemp = Connection.db.Items.Where(item => item.InventoryNumber == id).FirstOrDefault();

            Name.Text = itemTemp.Name;
            Count.Text = itemTemp.Count.ToString();
            Address.Text = itemTemp.Address;
            Condition.Text = itemTemp.Condition;
            Description.Text = itemTemp.Description;

            FIOPerson.ItemsSource = Connection.db.Persons.Select(item => item.FIO).ToList();
            FIOPerson.SelectedItem = Connection.db.ItemsPersons.Where(item => item.Items.InventoryNumber == id).Select(item => item.Persons.FIO).FirstOrDefault();

            IsWrittenOff.SelectedItem = itemTemp.IsWrittenOff == true ? "Да" : "Нет";
        }

        private void AddButtonClick(object sender, RoutedEventArgs e)
        {
            if (Name.Text == null || Count.Text == null || FIOPerson.SelectedItem == null || Address.Text == null ||
                Condition.Text == null || IsWrittenOff.SelectedItem == null)
            {
                MessageBox.Show("Ошибка: пустые поля");
                return;
            }
            if (Count.Text.ToString().Count(counter => counter == '.') > 1)
            {
                MessageBox.Show("Ошибка: неверный формат призового фонда");
                return;
            }

            Items item = new Items()
            {
                Name = Name.Text,
                Count = Convert.ToInt32(Count.Text),
                FIOPerson = FIOPerson.SelectedItem,
                Address = Address.Text,
                Condition = Condition.Text,
                IsWrittenOff = IsWrittenOff.SelectedItem.ToString() == "Да" ? true : false,
                Description = Description.Text
            };

            Connection.db.Items.Add(item);
            Connection.db.SaveChanges();
        }

        private void TextChanged(object sender, TextChangedEventArgs e)
        {
            #region Валидация
            if (Regex.IsMatch((((TextBox)sender).Text).ToString(), "[^\\d-.]"))
            {
                ((TextBox)sender).Text = ((TextBox)sender).Text.Remove(((TextBox)sender).Text.Length - 1);
                ((TextBox)sender).SelectionStart = ((TextBox)sender).Text.Length;
            }
            #endregion
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            ItemsListWindow itemsListWindow = new ItemsListWindow();
            itemsListWindow.Show();
            this.Close();
        }
    }
}
