﻿using System.Linq;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Controls;

namespace MiAPOPractice.AddWindow
{
    /// <summary>
    /// Логика взаимодействия для AddPersonWindow.xaml
    /// </summary>
    public partial class AddPersonWindow : Window
    {
        public AddPersonWindow()
        {
            InitializeComponent();
        }

        public AddPersonWindow(int id)
        {
            InitializeComponent();

            Persons person = Connection.db.Persons.Where(item => item.ID).FirstOrDefault();

            FIO.Text = person.FIO;
            PhoneNumber.Text = person.PhoneNumber;
        }

        private void AddButtonClick(object sender, RoutedEventArgs e)
        {
            if (FIO.Text == null || PhoneNumber.Text == null)
            {
                MessageBox.Show("Ошибка: пустые поля");
                return;
            }

            Persons person = new Persons()
            {
                FIO = FIO.Text,
                PhoneNumber = PhoneNumber.Text
            };

            Connection.db.Persons.Add(person);
            Connection.db.SaveChanges();
        }

        private void TextChanged(object sender, TextChangedEventArgs e)
        {
            #region Валидация
            if (Regex.IsMatch((((TextBox)sender).Text).ToString(), "[^\\d-.]"))
            {
                ((TextBox)sender).Text = ((TextBox)sender).Text.Remove(((TextBox)sender).Text.Length - 1);
                ((TextBox)sender).SelectionStart = ((TextBox)sender).Text.Length;
            }
            #endregion
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            ItemsListWindow itemsListWindow = new ItemsListWindow();
            itemsListWindow.Show();
            this.Close();
        }
    }
}