﻿using System.Linq;
using System.Windows;
using MiAPOPractice.AddWindow;

namespace MiAPOPractice.ElementsWindows
{
    /// <summary>
    /// Логика взаимодействия для ItemWindow.xaml
    /// </summary>
    public partial class ItemWindow : Window
    {
        Items item;
        Persons person;
        Places place;

        public ItemWindow(int IDItem)
        {
            InitializeComponent();

            item = Connection.db.Items.Where(item => item.InventoryNumber == IDItem).FirstOrDefault();
            person = Connection.db.ItemsPersons.Where(item => Items.ID == item.ID).Select(item => item.Persons).FirstOrDefault();
            place = Connection.db.ItemsPlaces.Where(item => Items.ID == item.ID).Select(item => item.Places).FirstOrDefault();

            Name.Content = item.Name;
            Count.Content = item.Count;
            FIOPerson.Content = person.FIO;
            Address.Content = place.Address;
            Description.Content = item.Description;
            InventoryNumber.Content = item.InventoryNumber;

            if (item.IsWrittenOff)
                WrittenOff.Visibility = Visibility.Visible;
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            MainWindow mw = new MainWindow();
            mw.Show();
            this.Close();
        }

        private void ChangeButtonClick(object sender, RoutedEventArgs e)
        {
            AddItemWindow addItemWindow = new AddItemWindow(item.InventoryNumber);
            addItemWindow.Show();
            this.Close();
        }
    }
}